Skip to main content
POST
Upload a sponsor's logo or cover image

Authorizations

Authorization
string
header
required

Provide your API key secret in the Authorization header

Path Parameters

eventId
string
required

Unique identifier of the event

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
sponsorId
string
required

Unique identifier of the sponsor

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Query Parameters

imageType
enum<string>
default:LOGO

Which image to replace: LOGO or COVER Which sponsor image to replace

Available options:
LOGO,
COVER
imageUrl
string

Publicly reachable image URL — alternative to 'file'

Body

application/json
file
file

The image file (multipart part named 'file')

Response

Image uploaded and sponsor updated

Result of a sponsor image upload

sponsorId
string

Unique ID of the sponsor

Example:

"4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d"

imageType
enum<string>

Which sponsor image to replace

Available options:
LOGO,
COVER
Example:

"LOGO"

imageUrl
string

Public URL of the newly uploaded image

Example:

"https://images.zuddl.com/8f14e45f-ea2b-4b0c-9f3a-1d2e3f4a5b6c"